package intrinsic.mx.effects;

public class EffectManager extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */
	public static intrinsic.Array effectsPlaying;
	public static intrinsic.mx.effects.Effect lastEffectCreated;

/** Contructors */
public EffectManager() {
}


/** Static Methods */
public static native String getEventForEffectTrigger(String arg0);
public static native intrinsic.mx.effects.Effect createEffectForType(Object arg0, String arg1);
public static native void effectEndHandler(intrinsic.mx.events.EffectEvent arg0);
public static native void registerEffectTrigger(String arg0, String arg1);
public static native void effectStarted(intrinsic.mx.effects.EffectInstance arg0);
public static native void resumeEventHandling();
public static native void endVectorEffect(intrinsic.mx.core.IUIComponent arg0);
public static native void startBitmapEffect(intrinsic.mx.core.IUIComponent arg0);
public static native void startVectorEffect(intrinsic.mx.core.IUIComponent arg0);
public static native void endEffectsForTarget(intrinsic.mx.core.IUIComponent arg0);
public static native boolean effectsInEffect();
public static native void endBitmapEffect(intrinsic.mx.core.IUIComponent arg0);
public static native void eventHandler(intrinsic.flash.events.Event arg0);
public static native void setStyle(String arg0, Object arg1);
public static native void suspendEventHandling();
public static native void effectFinished(intrinsic.mx.effects.EffectInstance arg0);

/** Methods */

}
